package com.ifish.dto;

import java.util.List;

/**
 * 分页数据封装
 * @author Administrator
 *
 * @param <T>
 */
public class PageingDto<T>{
	
	private String result;
	
	private Integer firstResult;
	
	private Integer total;
	
	private List<T> data;
	
	public PageingDto() {}

	public PageingDto(String result, Integer firstResult, Integer total,List<T> data) {
		this.result = result;
		this.firstResult = firstResult;
		this.total = total;
		this.data = data;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public Integer getFirstResult() {
		return firstResult;
	}

	public void setFirstResult(Integer firstResult) {
		this.firstResult = firstResult;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public List<T> getData() {
		return data;
	}

	public void setData(List<T> data) {
		this.data = data;
	}
	
}
